#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int n;
    cin>>n;
    vector<int> zarada(n);
    int i;
    for(i=0;i<n;i++){
        cin>>zarada[i];
    }
    vector<int> prefiksne(n+1);
    prefiksne[0]=0;
    for(i=1;i<=n;i++){
        prefiksne[i]=prefiksne[i-1]+zarada[i-1];
    }
    int m,a,b;
    cin>>m;
    for(i=0;i<m;i++){
        cin>>a>>b;
        cout<<(prefiksne[b+1]-prefiksne[a])<<endl;
    }
    return 0;
}
